package com.chinaitop.depot.service.impl;

import com.chinaitop.depot.mapper.StorageProfitlossSheetMapper;
import com.chinaitop.depot.model.StorageProfitlossSheet;
import com.chinaitop.depot.model.StorageProfitlossSheetExample;
import com.chinaitop.depot.service.StorageProfitlossSheetService;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.Date;
import java.util.List;

/**
 * @auther xujh
 */
@Service
public class StorageProfitlossSheetServiceImpl implements StorageProfitlossSheetService {
	@Resource
	private StorageProfitlossSheetMapper storageProfitlossSheetMapper;

	/**
	 * 损益单管理列表
	 * @param example
	 * @return
	 */
	@Override
	public List<StorageProfitlossSheet> queryByExample(StorageProfitlossSheetExample example) {
		return storageProfitlossSheetMapper.selectByExample(example);
	}

	@Override
	public StorageProfitlossSheet findById(Integer id) {
		return storageProfitlossSheetMapper.selectByPrimaryKey(id);
	}

	@Override
	public void add(StorageProfitlossSheet storageProfitlossSheet, String realName) {
    	storageProfitlossSheet.setFillPerson(realName);
    	storageProfitlossSheet.setFillTime(new Date());
		storageProfitlossSheetMapper.insertSelective(storageProfitlossSheet);

	}

	@Override
	public void update(StorageProfitlossSheet storageProfitlossSheet) {
		storageProfitlossSheetMapper.updateByPrimaryKeySelective(storageProfitlossSheet);
		
	}

	@Override
	public void remove(Integer id) {
		storageProfitlossSheetMapper.deleteByPrimaryKey(id);
	}

}
